PHP Handbuch
Zurück |  | Weiter

# Memcache::decrement

(no version information, might be only in CVS)

Memcache::decrement -- Decrement item's value

## Beschreibung

int Memcache::decrement ( string key [, int value] )

Memcache::decrement() decrements value of the item by `value`. Similarly to Memcache::increment(), current value of the item is being converted to numerical and after that `value` is substracted.

> Anmerkung: New item's value will not be less than zero.

> Anmerkung: Do not use Memcache::decrement() with item, which was stored compressed, because consequent call to Memcache::get() will fail.

Memcache::decrement() does not create an item if it didn't exist. Also you can use memcache_decrement() function.

## Parameter Liste

`key`

  Key of the item do decrement.

`value`

  Decrement the item by `value`. Optional and defaults to 1.

## Rückgabewerte

Returns item's new value on success or `FALSE` on failure.

## Beispiele

Beispiel 1. Memcache::decrement() example

`<?php /* procedural API */ $memcache_obj = memcache_connect('memcache_host', 11211); /* decrement item by 2 */ $new_value = memcache_decrement($memcache_obj, 'test_item', 2); /* OO API */ $memcache_obj = new Memcache; $memcache_obj->connect('memcache_host', 11211); /* decrement item by 3 */ $new_value = $memcache_obj->decrement('test_item', 3); ?>`

## Siehe auch

Memcache::increment()
Memcache::replace()

Zurück | Zum Anfang | Weiter
memcache_debug | Nach oben | Memcache::delete